petsc-3.12.1 2019-10-22
Report Typos and Errors

# MATELEMENTAL

"elemental" - A matrix type for dense matrices using the Elemental package Use ./configure --download-elemental to install PETSc to use Elemental

Use -pc_type lu -pc_factor_mat_solver_type elemental to use this direct solver

### Options Database Keys

| -mat_type elemental | - sets the matrix type to "elemental" during a call to MatSetFromOptions()
| -mat_elemental_grid_height | - sets Grid Height for 2D cyclic ordering of internal matrix

### See Also

MATDENSE

### Level

beginner

### Location

src/mat/impls/elemental/matelem.cxx
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages